version: '2'

services:
  familyark:
    build: ./familyark
    hostname: familyark
    container_name: familyark
    restart: always
    working_dir: /app
    entrypoint:
      - /bin/bash
      - entrypoint.sh
    expose:
      - 3000/tcp
    volumes:
      - ./familyark/app:/app
    networks:
      mynet:
        ipv4_address: 172.29.0.101

  mongodb-familyark:
    image: mongo
    hostname: mongodb-familyark
    container_name: mongodb-familyark
    restart: always
    volumes:
      - ./mongodb:/data/db
    expose:
      - 27017/tcp
    networks:
      mynet:
        ipv4_address: 172.29.0.102
        
networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.29.0.0/24
